# PetscObjectReference

Indicates to any PetscObject that it is being referenced by another PetscObject. This increases the reference count for that object by one.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscObjectReference(PetscObject obj)

Collective on PetscObject

### Input Parameter

obj -the PETSc object. This must be cast with (PetscObject), for example, PetscObjectReference((PetscObject)mat);

### See Also

PetscObjectCompose(), PetscObjectDereference()

Level:advanced
Location: src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages